Bug 1906186 - i18n: Translators are not able to translate `this` without context for alert manager config
Summary: i18n: Translators are not able to translate `this` without context for alert ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-09 20:57 UTC by Samuel Padgett
Modified: 2021-02-24 15:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2020-12-09-093341 Cluster ID: 26d5027f-cd2e-463d-aca8-408cd3f36335 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.16; rv:83.0) Gecko/20100101 Firefox/83.0
Last Closed: 2021-02-24 15:41:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7510 0 None closed Bug 1906186: use 'the' instead of 'this/these' in alert message 2021-01-07 21:59:50 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:42:08 UTC

Description Samuel Padgett 2020-12-09 20:57:50 UTC
`thisString` should be part of a single message for translation. The translators are not able to translate `this` or `these` without context. See

https://github.com/spadgett/console/blob/c906ae49b80020bc4e69c05ec87dd18b83a0e6a2/frontend/public/components/monitoring/alert-manager-config.tsx#L418

We should see if we can use i18next plurals or perhaps rephrase the message to avoid this/these if needed.

Comment 3 Yadan Pei 2020-12-21 06:17:38 UTC
Now the translation strings show:
[ḬḬṇͼṓṓṃṗḽḛḛţḛḛ ααḽḛḛṛţ [ṛḛḛͼḛḛḭḭṽḛḛṛṡ]]
[Ḉṓṓṇϝḭḭḡṵṵṛḛḛ ţḥḛḛ [ṛḛḛͼḛḛḭḭṽḛḛṛṡ] ţṓṓ ḛḛṇṡṵṵṛḛḛ ţḥααţ ẏẏṓṓṵṵ ḽḛḛααṛṇ ααḅṓṓṵṵţ ḭḭṃṗṓṓṛţααṇţ ḭḭṡṡṵṵḛḛṡ ẁḭḭţḥ ẏẏṓṓṵṵṛ ͼḽṵṵṡţḛḛṛ.]


Moving to VERIFIED, this is checked against 4.7.0-0.nightly-2020-12-20-031835

Comment 5 errata-xmlrpc 2021-02-24 15:41:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.